/* unit unjob031   from civil date to mjd */

#include <conio.h>
#include <stdio.h>

#include "unjob031.h"
#include "unfordat.h"  /* for fromdatetomjd function */

void forjob031 ()
{
  int    nd,nm,ny ; /* day month year */
  int    kh,km ; /* hour minute */
  double sec ; /* second */
  double tmjd ; /* moment in modified julian day */
  int    moscowh ; /* plus three hour */
  printf("\n");
  printf("  from civil date to mjd\n");

  moscowh = 1; /* moscow decret winter hour */

  nd = 29;
  nm = 2;
  ny = 2036;
  kh = moscowh -3; /* utc */
  km = 45;
  sec = 0.0;

  tmjd = fromdatetomjd(nd,nm,ny,kh,km,sec); /* unfordat */
  printf("  input\n");
  printf("  moscow decret winter time\n");
  printf("  %10i      day\n",nd);
  printf("  %10i      month\n",nm);
  printf("  %10i      year\n",ny);
  printf("  %10i      hour\n",moscowh);
  printf("  %10i      minute\n",km);
  printf("  %14.3f   second\n",sec);
  printf("  output\n");
  printf("  moment in modified julian day\n");
  printf("  %19.8f  day with part in utc scale\n",tmjd);
}
