
/* unit unjob131 to test unit unephjpl */

#include <math.h>
#include <conio.h>
#include <stdio.h>
#include <io.h>

#include "unjob131.h"

#include "unephjpl.h"

void forjob131 ()
{
  int  i , iop ;
  int  nplanet ;
  double  tdb ;
  double  pos[4],vel[4] ;
  double  pose[4],vele[4],posm[4],velm[4] ;


  toobtainfmus () ;  /* unephjpl */

  printf("\n");
  printf("value f*M_planet in AU^3/day^2\n");
  for ( i = 1 ; i <=11 ; i++ )
    printf("%4i%30.20f%30.20f\n",i,factormus[i],factormuz[i]);

  iop = toopencoefile () ; /* unephjpl */

  printf("\n");
  printf("a try to open ephemeris file  %2i\n",iop);
  if  ( iop < 0 ) return ;

  printf("\n");
  printf("the first record ephemeris file\n");
  printf("%12.2f%30.15f%30.15f\n",
         coefeph[0],coefeph[2],coefeph[744]);

  printf("\n");
  printf("the first moment and the last moment in ephemeris file\n");
  printf(" %15.2f%15.2f\n",
         tiniteph,tlasteph);

  tdb = 51550.0 ; /* moment in mjd to test to read */
  printf("\n");
  printf("the moment to read ephemeris file %12.2f\n",tdb);
  for ( nplanet = 1 ; nplanet <=11 ; nplanet++ )
    {                            /* not the Earth the Moon */
       if  ( ( nplanet != 3 ) && ( nplanet != 10 ) )
         {
           clcposvel(nplanet,tdb,pos,vel); /* the planet */
           printf("\n");
           printf("%2i%23.13f%23.13f%23.13f AU\n",
                  nplanet,pos[1],pos[2],pos[3]);
           printf("%2i%23.13f%23.13f%23.13f AU/day\n",
                  nplanet,vel[1],vel[2],vel[3]);
         }
         else
         {
           clcephearthmoon(tdb,pose,vele,posm,velm);
           if  ( nplanet == 3 )
             {
               printf("\n");
               printf("%2i%23.13f%23.13f%23.13f AU\n",
                      nplanet,pose[1],pose[2],pose[3]);
               printf("%2i%23.13f%23.13f%23.13f AU/day\n",
                      nplanet,vele[1],vele[2],vele[3]);
             }
             else
             {
               printf("\n");
               printf("%2i%23.13f%23.13f%23.13f AU\n",
                      nplanet,posm[1],posm[2],posm[3]);
               printf("%2i%23.13f%23.13f%23.13f AU/day\n",
                      nplanet,velm[1],velm[2],velm[3]);
             }
         }
    }

  tdb = 51644.5 ; /* moment in mjd to test to read */
  printf("\n");
  printf("the moment to read ephemeris file %12.2f\n",tdb);
  for ( nplanet = 1 ; nplanet <=11 ; nplanet++ )
    {                            /* not the Earth the Moon */
       if  ( ( nplanet != 3 ) && ( nplanet != 10 ) )
         {
           clcposvel(nplanet,tdb,pos,vel); /* the planet */
           printf("\n");
           printf("%2i%23.13f%23.13f%23.13f AU\n",
                  nplanet,pos[1],pos[2],pos[3]);
           printf("%2i%23.13f%23.13f%23.13f AU/day\n",
                  nplanet,vel[1],vel[2],vel[3]);
         }
         else
         {
           clcephearthmoon(tdb,pose,vele,posm,velm);
           if  ( nplanet == 3 )
             {
               printf("\n");
               printf("%2i%23.13f%23.13f%23.13f AU\n",
                      nplanet,pose[1],pose[2],pose[3]);
               printf("%2i%23.13f%23.13f%23.13f AU/day\n",
                      nplanet,vele[1],vele[2],vele[3]);
             }
             else
             {
               printf("\n");
               printf("%2i%23.13f%23.13f%23.13f AU\n",
                      nplanet,posm[1],posm[2],posm[3]);
               printf("%2i%23.13f%23.13f%23.13f AU/day\n",
                      nplanet,velm[1],velm[2],velm[3]);
             }
         }
    }
  close(coefile); /* global unforeph.h */
}
