/*unit unjob023  for simple report */

#include <conio.h>
#include <stdio.h>

#include "unjob023.h"

#include "unforfun.h"  /* simple functions */
#include "unfornut.h" /* for togetepsmean function clcnut void */
#include "unforpnm.h" /* for clcprecmatr clcnutmatr voids */

void forjob023 ()
{
  double t,e,x,y ;
  double a[4][4],b[4][4],c[4][4] ;

  printf("\n");
  printf("  to multiply precession and nutation matrix\n");
  t = 59152.0 ;              /* time in modified julian day */
  clcprecmatr(51544.5,t,a); /* unforpnm precession matrix */
  e = togetepsmean(t);       /* unfornut mean obliquity */
  clcnut(t,&x,&y);            /* unfornut angles of nutation */
  clcnutmatr(x,y,e,b);    /* unforpnm nutation matrix */
  tomultmatr(a,b,c); /* our result void from unforfun */
  printf("  input\n");
  printf("%12.2f  moment in modified julian day\n",t);
  printf("  output\n");
  printf("precession matrix P\n");
  printf("%20.15f%20.15f%20.15f\n",a[1][1],a[1][2],a[1][3]);
  printf("%20.15f%20.15f%20.15f\n",a[2][1],a[2][2],a[2][3]);
  printf("%20.15f%20.15f%20.15f\n",a[3][1],a[3][2],a[3][3]);
  printf("nutation   matrix N\n");
  printf("%20.15f%20.15f%20.15f\n",b[1][1],b[1][2],b[1][3]);
  printf("%20.15f%20.15f%20.15f\n",b[2][1],b[2][2],b[2][3]);
  printf("%20.15f%20.15f%20.15f\n",b[3][1],b[3][2],b[3][3]);
  printf("  output\n");
  printf("matrix our result P*N\n");
  printf("%20.15f%20.15f%20.15f\n",c[1][1],c[1][2],c[1][3]);
  printf("%20.15f%20.15f%20.15f\n",c[2][1],c[2][2],c[2][3]);
  printf("%20.15f%20.15f%20.15f\n",c[3][1],c[3][2],c[3][3]);
}
