/* unit unjob032  from mjd civil date */

#include <conio.h>
#include <stdio.h>

#include "unjob032.h"
#include "unfordat.h"  /* for transmjdtodate void */

void forjob032 ()
{
  int nd,nm,ny ; /* day month year */
  int kh,km ; /* hour minute */
  double sec ; /* second */
  double tmjd ; /* moment in modified julian day */

  double zmjd ; /* plus three hour */

  printf("\n");
  printf("  from mjd to civil date\n");
  tmjd = 64752.114583333;

  zmjd = tmjd+0.125; /* to moscow decret winter time */

  transmjdtodate(zmjd,&nd,&nm,&ny,&kh,&km,&sec); /* proc form unfordat */
  printf("  input\n");
  printf("  moment in modified julian day\n");
  printf("  %19.8f  day with part in utc scale\n",tmjd);
  printf("  output\n");
  printf("  moscow decret winter time\n");
  printf("  %10i      day\n",nd);
  printf("  %10i      month\n",nm);
  printf("  %10i      year\n",ny);
  printf("  %10i      hour\n",kh);
  printf("  %10i      minute\n",km);
  printf("  %14.3f  second\n",sec);
}
