
/* unit unjob132 to test procedure clcrighthand from unequras */

#include <conio.h>
#include <stdio.h>
#include <io.h>

#include "unjob132.h"

#include "unforkep.h"
#include "unephjpl.h"
#include "unequras.h"

void forjob132 ()
{
  double start,finish ;      /* moment in mjd */
  double pose[4],ange[4] ;   /* kepler elements */
  double vecr[4],vecv[4] ;   /* rectangular position velosity */

  double  tc ;    /* moment in mjd */
  double  xc[4] ; /* position in AU */
  double  fc[4] ; /* forces */

  printf("\n");
  printf("the calculate the forces\n");

  start  = 53000.0 ;         /* epoch of the elements in mjd */

  finish = start + 700.0 ;   /* moment for the result */
                          /* ecliptic heliocentric */

  pose[1] =  1.98661100;  /* semi-major axis AU */
  pose[2] =  0.61091653;  /* eccentricity */
  pose[3] =  5.714540;    /* inclination in degree */

  ange[1] = 15.205993;    /* the ascending node in degree */
  ange[2] =111.733859;    /* argument of perigei in degree */
  ange[3] =186.566521;    /* mean anomaly in degree */

  printf(" \n");
  printf("   minor body 1994 GK\n");
  printf("   initial elements ecliptic heliocentric\n");
  printf("   %19.8f  epoch in mjd         \n",start);
  printf("   %19.8f  a semimajor axis   AU\n",pose[1]);
  printf("   %19.8f  e eccentricity       \n",pose[2]);
  printf("   %19.6f  i inclination degree \n",pose[3]);
  printf("   %19.6f  O ascending node deg.\n",ange[1]);
  printf("   %19.6f  o arg.perihelium deg.\n",ange[2]);
  printf("   %19.6f  M mean anomaly degree\n",ange[3]);

  /* these two voids in necessary to work */

  toobtainfmus () ;  /* unephjpl for global factormuz[..] */

  toopencoefile () ; /* unephjpl coefile global */

  tc = start ;

  do
  {
    fromkeplertocart(start,pose,ange,tc,vecr,vecv); /* from unforkep */

    xc[1] = vecr[1];
    xc[2] = vecr[2];
    xc[3] = vecr[3];

    clcrighthandcoor(tc,xc,fc); /* unequras result forces fc */

    printf("  \n");
    printf("  input\n");
    printf("  %12.2f  moment in modified julian day\n",tc);
    printf("  position vector\n");
    printf("  %20.9f%20.9f%20.9f  AU\n",xc[1],xc[2],xc[3]);
    printf("  output\n");
    printf("  the force (acceleration) vector \n");
    printf("  %20.15f%20.15f%20.15f  AU/day^2\n",fc[1],fc[2],fc[3]);

    tc = tc+70.0; /* step in day */
  }
  while  ( tc < finish ) ;

  close(coefile); /* global unephjpl */
}
